# Uses of Class
org.apache.lucene.util.Selector

Packages that use Selector
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of Selector in org.apache.lucene.util

  Subclasses of Selector in org.apache.lucene.util
  Modifier and Type
  Class
  Description
  `class`
  `IntroSelector`
  Adaptive selection algorithm based on the introspective quick select algorithm.
  `class`
  `RadixSelector`
  Radix selector.
  Methods in org.apache.lucene.util that return Selector
  Modifier and Type
  Method
  Description
  `protected Selector`
  RadixSelector.`getFallbackSelector(int d)`
  Get a fall-back selector which may assume that the first `d` bytes of all compared strings are equal.